Bug 49572 - Access to template1 database prevents all users from creating databases.
Access to template1 database prevents all users from creating databases.
Status: CLOSED DEFERRED
Product: Red Hat Database
Classification: Red Hat
Component: backend/kernel (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
Patrick Macdonald
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-20 15:57 EDT by Neil Padgett
Modified: 2013-03-04 09:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 15:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Padgett 2001-07-20 15:57:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
A user connected to database template1 prevents all database creation
attempts, until said user disconnects from the table. (Lock related?)

How reproducible:
Always

Steps to Reproduce:
1. Connect as user with access to database template1 to template1.
2. While that user is connected attempt to create a database -- creation
will fail.
	

Actual Results:  Error level results:
$ createdb phil
ERROR:  CREATE DATABASE: source database "template1" is being accessed by
other users
createdb: database creation failed


Expected Results:  No user should be able to impair database creation for
users authorized to create databases.

Additional info:
Comment 1 Patrick Macdonald 2001-11-29 14:57:58 EST
Yes, this is the current situation.  We will defer this bug until kernel
database
work starts on the next release.  I will bring this matter to the attention of
the
community in the interim.  Thank you and have a pleasant day.

Note You need to log in before you can comment on or make changes to this bug.